---
title: 在Solana质押
---

*请注意：下文所述的所有价值增加都是指SOL余额的绝对值。 本文件在任何情况下都没有对SOL的货币价值提出任何建议。*

在 Solana 质押 SOL 代币是您参与到保护世界性能最好的区块链网络的最佳方式， 请参考 [进行操作并获得奖励](implemented-proposals/staking-rewards.md)！ 通货膨胀和网络奖励目前在Solana主网Beta还*没有*启动，但未来可能会开放。

Solana 是一个能够质押的权益证明(POS) 网络，这意味着任何 SOL 代币持有者可以选择将其一部分 SOL 委托给一个或多个处理交易并运行网络的验证节点。

委托质押一种风险伴随收益的金融模式，它可以为代币持有人提供长时间的回报。 实现这项目标的方法是调整代币所有者(委托者) 和他们委托的验证节点的金融激励。

验证节点质押的权重越大，它当选向账本写入新交易的可能性就越大。  同时，验证节点写入的交易数量越多，它及其委托者赚取的收益就越高。 配置其系统的验证节点在处理更多交易的同时，不仅能够获得更多的奖励，它们保证了网络的快速和平稳运行。

验证节点在运行和维护其系统的时候会产生费用，它们通过收取一定百分比的委托者奖励来覆盖这部分成本。  这笔费用被称为 *佣金*。 由于验证节点获得的委托越多，其奖励就越多，因此为了吸引更多的质押，他们会相互竞争，收取更低的服务佣金。

存在着一个名为*罚没*的程序，质押面临着损失代币的风险。  目前Solana主网Beta还*没有*启动罚没，但未来可能会开放。  在出现故意的恶意行为时（例如创建无效的交易或审查某些类型的交易或网络参与者），罚没程序会自动移除并销毁验证节点的一部分委托质押。 如果某个验证节点被罚没，所有委托给该验证节点的代币持有者将损失一部分代币。  对代币持有者来说，它意味着即时的损失，同时验证节点器也面临着未来奖励的损失，因为他们的委托总量减少了。

网络奖励和罚没的目标是协调验证节点和代币持有者的金融激励，这反过来又确保了网络的安全、强大和最佳性能。

*请注意：目前在主网 Beta 上还没有启动质押者和验证节点的网络奖励。*

*注意：主网 Beta 目前尚未实施罚没。*


## 如何质押 SOL 代币？
为了在 Solana 区块链抵押代币，您需要先将一些 SOL 转入支持质押的钱包， 然后对应的步骤或说明创建一个质押帐户并委托您的代币。 不同的钱包其处理过程略有不同，但一般的操作过程如下。

#### 支持的钱包
质押操作由以下钱包解决方案支持：

 - SolFlare.com 配合 keystore 文件或 Ledger Nano 使用。 请查看我们的 [指南来详细了解 SolFlare](wallet-guide/solflare.md) 的使用。

 - Solana 命令行工具可以配合使用 CLI 生成的密钥对文件钱包、纸钱包或连接 Ledger Nano 进行所有的质押操作。 [使用 Solana 命令行工具预设命令](cli/delegate-stake.md)

#### 创建一个质押账户
质押账户是一个与钱包地址不同的账户，普通钱包地址是用于便捷地发送和接收 SOL 代币。 如果您已经在钱包地址中收到SOL代币，那么就可以使用一部分代币来创建和充值到一个新的质押帐户，该账户地址不同于原始的钱包地址。 取决于你使用哪种方法来创建一个质押账户，其操作可能略有不同。  并非所有的钱包都支持质押帐户，请到[参看支持的钱包](#supported-wallets)。

#### 选择一个验证节点
创建了一个质押帐户后，您需要将 SOL 委托给一个验证节点。  您可以到以下几个地方查看目前正在运行网络的验证节点的信息。 Solana Labs 团队和 Solana 基金会不推荐任何特定的验证节点。

主网 Beta 验证节点在 Solana 论坛对各自及其服务进行了介绍：
 - https://forums.solana.com/t/validator-informationthad

Solanabeach.io 网站是由网络的一个验证节点 Staking Facilities 开发和维护的。  它提供了整个网络的一些高级图形信息，以及每个验证节点的列表和它们最新的性能统计。
 - https://solanabeach.io

如您想查看出块的统计数据，请使用 Solana 命令行工具：
 - `solana 验证节点`
 - `solana 出块`

Solana 团队不对如何解释该信息提出任何建议。  潜在的委托者应当尽职尽责。

#### 委托您的质押
决定委托给哪个或哪几个验证节点后，您就可以使用一个支持质押的钱包，将计划的抵押份额委托给验证节点的投票地址。

## 质押帐户详细信息
想要了解更多与质押账户相关的操作和权限信息，请参阅 [质押账户](staking/stake-accounts.md)
