---
title: 命令行钱包
---

Solana支持几种不同类型的钱包，它们可以直接与Solana命令行工具进行交互。

** 如果您不熟悉命令行程序的使用，并且只需要发送和接收SOL代币，我们建议您设置第三方 [App Wallet](apps.md)**。

您首先需要 [安装 Solana CLI 工具](../cli/install-solana-cli-tools.md) 才能使用命令行钱包。

## 文件系统钱包

_文件系统钱包_ （也称为FS钱包）是计算机文件系统中的目录。 目录中的每个文件都有一个密钥对。

### 文件系统钱包的安全性

文件系统钱包是最方便但安全性最差的一种钱包。 由于密钥对存储在一个简单的文件中，因此使用非常方便。 您可以生成任意数量的密钥，通过复制文件来轻松备份它们。 但这是很不安全的，因为密钥对文件**未经过加密**。 如果您是计算机的唯一用户，并且确信没有受到恶意软件攻击，则FS钱包是加密代币余额不多的理想解决方案。 但是，如果您的计算机包含恶意软件并且连接到互联网，那么某些恶意软件可能会上载您的密钥并使用它们来获取代币。 同样，由于密钥对以文件形式存储在您的计算机上，因此可以对计算机进行物理访问的黑客高手可能访问到它。 使用加密的硬盘驱动器（例如MacOS上的FileVault）可以最大程度地降低这种风险。

[文件系统钱包](file-system-wallet.md)

## 纸钱包

_纸钱包_ 是把 _助记词_ 写在纸上进行备份的钱包合称。 种子短语是一些单词(通常为12或24)，可用于重新生成密钥对。

### 纸钱包的安全性

在便利性与安全性方面，纸质钱包与FS钱包刚刚相反。 它们使用起来非常不方便，但是却提供了出色的安全性。 当纸钱包与 [离线签名](../offline-signing.md) 结合使用时，安全性将得到进一步增强。 托管服务（例如[Coinbase Custody](https://custody.coinbase.com/) ）就是采用该方式。 纸钱包和托管服务是长期存储大额代币的最好方法。

[纸钱包](paper-wallet.md)

## 硬件钱包

硬件钱包是一种用于存储密钥对的小型手持设备，它有一个用来签名交易的界面。

### 硬件钱包的安全性

像 [Ledger硬件钱包](https://www.ledger.com/) 这类硬件钱包为加密货币提供了完美的安全性和便利性。 它有效地自动化了链下签名过程，同时几乎保留了文件系统钱包所具备的便利。

[硬件钱包](hardware-wallets.md)
